Page MenuHomePhabricator

QA table of contents test failing for last 25 builds
Closed, ResolvedPublic

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 21 2015, 6:28 PM
bmansurov added a subscriber: bmansurov.EditedJan 29 2015, 6:45 PM

These tests pass locally. What am I doing differently? Btw, I ran the test in both firefox and chrome. They both passed.

Feature: Table of contents

  Background:                        # features/toc.feature:4
    Given I am using the mobile site # features/step_definitions/common_steps.rb:46

  @smoke
  Scenario: Don't show table of contents on mobile # features/toc.feature:8
    Given I am viewing the site in mobile mode     # features/step_definitions/common_steps.rb:62
    When I go to a page that has sections          # features/step_definitions/create_page_api_steps.rb:17
    Then I should not see the table of contents    # features/step_definitions/toc_steps.rb:1

  Scenario: Show table of contents on tablet   # features/toc.feature:13
    Given I am viewing the site in tablet mode # features/step_definitions/common_steps.rb:66
    When I go to a page that has sections      # features/step_definitions/create_page_api_steps.rb:17
    Then I should see the table of contents    # features/step_definitions/toc_steps.rb:8

2 scenarios (2 passed)
8 steps (8 passed)
0m33.561s

@Cmcmahon - it seems that the browser window is not getting resized in chrome. Is this a known problem? Should we stop running the test on chrome?

Works for me , resizes window, and passes locally in Chrome and Firefox. Looking at the Sauce builds...

Jdlrobson set Security to None.Jan 30 2015, 10:47 PM
Jdlrobson added a subscriber: dduvall.

can't replicate locally... maybe @dduvall has some ideas?

this seems likely to be an issue with SauceLabs and/or ChromeDriver, the @browser.window.resize_to command seems to have just stopped working for Chrome on SauceLabs, even though it works locally.

I've asked on #selenium in IRC and got no response so far.

We can stop running this test for Chrome if it comes to that, but I'll follow up next week.

Hey @Cmcmahon I will untag the tests for Chrome. Have setup T88288 to track this issue.

Jdlrobson claimed this task.Feb 2 2015, 3:10 PM
gerritbot added a subscriber: gerritbot.

Change 188051 had a related patch set uploaded (by Jdlrobson):
Stop running certain tests on Chrome

https://gerrit.wikimedia.org/r/188051

Patch-For-Review

Change 188051 merged by jenkins-bot:
QA: Stop running certain tests on Chrome

https://gerrit.wikimedia.org/r/188051

Jdlrobson closed this task as Resolved.Feb 2 2015, 4:46 PM